vertx | index

`This module provides the entry point to the vert.x platform`

Classes

``

__builtin__.object
  Vertx

class Vertx(__builtin__.object)

``

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Data and other attributes defined here:

config = None

Functions

``

cancel_timer(id)
  `Cancels a timer.
  Keyword arguments:
  @param id: the id of the timer, as returned from set_timer or set_periodic
  @return: true if the timer was cancelled, false if it wasn't found.`

config()
  `Get config for the verticle
  @return: dict config for the verticle`

create_http_client(**kwargs)
  `Return a HttpClient`

create_http_server(**kwargs)
  `Return a HttpServer`

create_net_client(**kwargs)
  `Return a NetClient`

create_net_server(**kwargs)
  `Return a NetServer`

create_sockjs_server(http_server)
  `Return a SockJSServer`

deploy_module(module_name, config=None, instances=1, handler=None)
  `Deploy a module. The actual deploy happens asynchronously
  Keyword arguments:
  @param module_name: The name of the module to deploy
  @param config: dict configuration for the module
  @param instances: Number of instances to deploy
  @param handler: handler will be executed when deploy has completed`

deploy_verticle(main, config=None, instances=1, handler=None)
  `Deploy a verticle. The actual deploy happens asynchronously
  Keyword arguments:
  @param main: the main of the verticle to deploy
  @param config: dict configuration for the verticle
  @param instances: number of instances to deploy
  @param handler: will be executed when deploy has completed`

deploy_worker_verticle(main, config=None, instances=1, handler=None)
  `Deploy a worker verticle. The actual deploy happens asynchronously
  Keyword arguments:
  @param main: the main of the verticle to deploy
  @param config: dict configuration for the verticle
  @param instances: the number of instances to deploy
  @param handler: handler will be executed when deploy has completed`

get_logger()
  `Get the logger for the verticle`

java_vertx()

run_on_loop(handler)
  `Put the handler on the event queue for this loop so it will be run asynchronously
  ASAP after this event has been processed
  Keyword arguments:
  @param handler: a block representing the code that will be run ASAP`

set_periodic(delay, handler)
  `Sets a periodic timer.
  Keyword arguments:
  @param delay: the period of the timer, in milliseconds
  @param handler: a block representing the code that will be when the timer fires the unique id of the timer`

set_timer(delay, handler)
  `Sets a one-shot timer that will fire after a certain delay.
  This method will accept either a Proc or a block.
  Keyword arguments:
  @param delay: the delay, in milliseconds
  @param handler: a block representing the code that will be run after the delay the unique id of the timer`

undeploy_module(id)
  `Undeploy a module
  Keyword arguments:
  @param id: the unique id of the module`

undeploy_verticle(id)
  `Undeploy a verticle
  Keyword arguments:
  @param id: the unique id of the deployment`

Data
`` |  | __author__ = 'Scott Horn' __credits__ = 'Based entirely on work by Tim Fox http://tfox.org' __email__ = 'scott@hornmicro.com' org = <java package org 0x2>

Author
`` |  | Scott Horn

Credits
`` |  | Based entirely on work by Tim Fox http://tfox.org